Skip to main content
GET
Resolve repository path

Authorizations

Authorization
string
header
required

Bearer token authorizing this operation's repository action. Each operation's security requirement names the resource action the token must be authorized for (pull or push).

Query Parameters

repoPath
string
required

Prefixed repository path (et/project/repo, git/owner/repo, or gh/owner/repo); the surface prefix is required. A trailing ".git" is an optional alias on et/ and gh/ paths.

Minimum string length: 1
includeReplicas
boolean
default:false

Include hosting-node base URIs.

Response

OK

replicas
string[] | null
required

Hosting-node base URIs for the repository.

repoId
string
required

Repository ULID.

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://aws-us-east-2.entire.io/api/v1/schemas/ResolveResponse.json"